Reporting
Your feedback is extremely valuable to us, so please don't hesitate to share your thoughts!
const imageId = "ID_OF_YOUR_IMAGE";
const apiKey = "YOUR_API_KEY";
const score = 4;
const categories = ["LENS_CORRECTION","AUTO_PRIVACY"]
const reportImage = async (imageId, apiKey, score, categories) => {
const reportImageResponse = await fetch(
`https://api.autoenhance.ai/v3/images/${imageId}/report`,
{
method: "POST"
headers:{
"x-api-key": apiKey,
},
body: JSON.stringify({
score: score,
categories: categories
}),
}
);
}import requests
import json
image_id = "ID_OF_YOUR_IMAGE"
api_key = "YOUR_API_KEY"
score = 4
categories = ["LENS_CORRECTION", "AUTO_PRIVACY"]
def report_image(image_id, api_key, score, categories):
url = f"https://api.autoenhance.ai/v3/images/{image_id}/report"
headers = {
"x-api-key": api_key,
"Content-Type": "application/json"
}
data = {
"score": score,
"categories": categories
}
response = requests.post(url, headers=headers, data=json.dumps(data))
return responseSpecification
Authorizations
x-api-keystringRequired
Path parameters
idstringRequired
Body
commentstringOptional
A comment to be sent along with the report.
scoreinteger · max: 5Optional
A rating between 0 and 5 on how good the image enhancmeent. Higher is better.
sourcestring · enumOptionalPossible values:
Responses
200
Successful response
application/json
anyOptional
401
Authentication error
application/json
404
Not found
application/json
422
Validation error
application/json
post
/v3/images/{id}/reportNo content
Last updated
Was this helpful?